Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2014173002: Rename Event.deepPath() to Event.composedPath() (Closed)

Created:
4 years, 6 months ago by hayato
Modified:
4 years, 5 months ago
Reviewers:
tkent, dgozman, kochi, pfeldman
CC:
apavlov+blink_chromium.org, asvitkine+watch_chromium.org, blink-reviews, blink-reviews-w3ctests_chromium.org, caseq+blink_chromium.org, chromium-apps-reviews_chromium.org, chromium-reviews, devtools-reviews_chromium.org, extensions-reviews_chromium.org, falken, horo+watch_chromium.org, jsbell+serviceworker_chromium.org, kenjibaheux+watch_chromium.org, kinuko+serviceworker, kozyatinskiy+blink_chromium.org, lushnikov+blink_chromium.org, michaeln, nhiroki, pfeldman+blink_chromium.org, pfeldman, sergeyv+blink_chromium.org, serviceworker-reviews, tfarina, tzik
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Rename Event.deepPath() to Event.composedPath() We renamed Event.deepPath() to Event.composedPath(). Issue: https://github.com/whatwg/dom/issues/242 DOM Standard: https://dom.spec.whatwg.org/#dom-event-composedpath For histograms, TBR=isherman@chromium.org BUG=531990 Committed: https://crrev.com/a0a90bdd71d65c6fbf747cc789f44394a68fc24c Cr-Commit-Position: refs/heads/master@{#396799}

Patch Set 1 #

Patch Set 2 : fix #

Patch Set 3 : revert wtp/shadow-dom/ #

Patch Set 4 : fix #

Total comments: 1

Patch Set 5 : fix wrong reset #

Total comments: 2

Patch Set 6 : revert devtools.js #

Unified diffs Side-by-side diffs Delta from patch set Stats (+45 lines, -43 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/xmlhttprequest/xmlhttprequest-get-expected.txt View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/serviceworker/webexposed/global-interface-listing-service-worker-expected.txt View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/event-deep-path.html View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/event-deep-path-empty.html View 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/event-deeppath-closed-shadowroot.html View 5 chunks +6 lines, -6 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/event-deeppath-closed-shadowroot-expected.txt View 1 chunk +5 lines, -5 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/event-deeppath-closed-shadowroot2.html View 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/event-deeppath-closed-shadowroot2-expected.txt View 2 chunks +6 lines, -6 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/event-deeppath-with-slot.html View 3 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/scoped-events-by-ua-stopped.html View 2 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-dedicated-worker-expected.txt View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-expected.txt View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-shared-worker-expected.txt View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/events/Event.h View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/events/Event.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/events/Event.idl View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/frame/UseCounter.h View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download

Dependent Patchsets:

Messages

Total messages: 49 (21 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2014173002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2014173002/1
4 years, 6 months ago (2016-05-26 10:17:06 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/234357)
4 years, 6 months ago (2016-05-26 11:56:52 UTC) #4
hayato
fix
4 years, 6 months ago (2016-05-27 03:12:25 UTC) #7
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2014173002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2014173002/20001
4 years, 6 months ago (2016-05-27 03:12:40 UTC) #8
hayato
revert wtp/shadow-dom/
4 years, 6 months ago (2016-05-27 03:23:39 UTC) #10
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2014173002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2014173002/40001
4 years, 6 months ago (2016-05-27 03:23:48 UTC) #11
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/190959)
4 years, 6 months ago (2016-05-27 03:31:55 UTC) #13
hayato
fix
4 years, 6 months ago (2016-05-27 03:50:35 UTC) #15
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2014173002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2014173002/60001
4 years, 6 months ago (2016-05-27 03:50:50 UTC) #16
hayato
PTAL pfeldman@, could you review Source/devtools/front_end/devtools.js?
4 years, 6 months ago (2016-05-27 03:52:45 UTC) #18
kochi
https://codereview.chromium.org/2014173002/diff/60001/third_party/WebKit/LayoutTests/fast/xmlhttprequest/xmlhttprequest-responsetype-arraybuffer-expected.txt File third_party/WebKit/LayoutTests/fast/xmlhttprequest/xmlhttprequest-responsetype-arraybuffer-expected.txt (right): https://codereview.chromium.org/2014173002/diff/60001/third_party/WebKit/LayoutTests/fast/xmlhttprequest/xmlhttprequest-responsetype-arraybuffer-expected.txt#newcode26 third_party/WebKit/LayoutTests/fast/xmlhttprequest/xmlhttprequest-responsetype-arraybuffer-expected.txt:26: FAIL xhr.response.foo should be bar (of type string). Was ...
4 years, 6 months ago (2016-05-27 04:16:55 UTC) #19
hayato
fix wrong reset
4 years, 6 months ago (2016-05-27 05:23:34 UTC) #21
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2014173002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2014173002/80001
4 years, 6 months ago (2016-05-27 05:23:46 UTC) #22
hayato
Reverted. It looks a wrong reset-result.
4 years, 6 months ago (2016-05-27 05:25:02 UTC) #23
kochi
lgtm
4 years, 6 months ago (2016-05-27 05:56:27 UTC) #24
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/77757)
4 years, 6 months ago (2016-05-27 08:14:16 UTC) #26
dgozman
https://codereview.chromium.org/2014173002/diff/80001/third_party/WebKit/Source/devtools/front_end/devtools.js File third_party/WebKit/Source/devtools/front_end/devtools.js (right): https://codereview.chromium.org/2014173002/diff/80001/third_party/WebKit/Source/devtools/front_end/devtools.js#newcode1036 third_party/WebKit/Source/devtools/front_end/devtools.js:1036: Event.prototype.composedPath = undefined; Please revet this line. It removes ...
4 years, 5 months ago (2016-05-30 18:21:10 UTC) #28
hayato
revert devtools.js
4 years, 5 months ago (2016-05-31 02:17:29 UTC) #30
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2014173002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2014173002/100001
4 years, 5 months ago (2016-05-31 02:17:41 UTC) #31
hayato
https://codereview.chromium.org/2014173002/diff/80001/third_party/WebKit/Source/devtools/front_end/devtools.js File third_party/WebKit/Source/devtools/front_end/devtools.js (right): https://codereview.chromium.org/2014173002/diff/80001/third_party/WebKit/Source/devtools/front_end/devtools.js#newcode1036 third_party/WebKit/Source/devtools/front_end/devtools.js:1036: Event.prototype.composedPath = undefined; On 2016/05/30 at 18:21:09, dgozman wrote: ...
4 years, 5 months ago (2016-05-31 02:18:04 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2014173002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2014173002/100001
4 years, 5 months ago (2016-05-31 02:18:36 UTC) #36
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/191965)
4 years, 5 months ago (2016-05-31 02:25:58 UTC) #38
kochi
still lgtm
4 years, 5 months ago (2016-05-31 02:57:05 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2014173002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2014173002/100001
4 years, 5 months ago (2016-05-31 02:58:50 UTC) #42
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/78835)
4 years, 5 months ago (2016-05-31 04:44:26 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2014173002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2014173002/100001
4 years, 5 months ago (2016-05-31 05:16:47 UTC) #46
commit-bot: I haz the power
Committed patchset #6 (id:100001)
4 years, 5 months ago (2016-05-31 07:39:06 UTC) #47
commit-bot: I haz the power
4 years, 5 months ago (2016-05-31 07:40:36 UTC) #49
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/a0a90bdd71d65c6fbf747cc789f44394a68fc24c
Cr-Commit-Position: refs/heads/master@{#396799}

Powered by Google App Engine
This is Rietveld 408576698